## jammo-data 0.1.1

=== debian/changelog ===
jammo-data (0.1.1) unstable; urgency=low

  *  Fixed some autobuilder issue.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 09 Oct 2009 17:07:08 +0300

jammo-data (0.1.0) unstable; urgency=low

  *  Initial version.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 09 Oct 2009 16:07:08 +0300

## jammo-data 0.1.2

=== debian/changelog ===
jammo-data (0.1.2) unstable; urgency=low

  *  New image.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 10 Oct 2009 17:07:08 +0300

## jammo-data 0.1.3

=== debian/changelog ===
jammo-data (0.1.3) unstable; urgency=low

  *  /opt

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 11 Oct 2009 17:07:08 +0300

## jammo-data 0.1.4

=== data/Makefile ===
# Makefile.in generated by automake 1.10.2 from Makefile.am.
# data/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/jammo
pkglibdir = $(libdir)/jammo
pkgincludedir = $(includedir)/jammo
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = data
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(ambient_citythemedir)" \
	"$(DESTDIR)$(basedir)" "$(DESTDIR)$(buttonsdir)" \
	"$(DESTDIR)$(castlethemedir)" "$(DESTDIR)$(citythemedir)" \
	"$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(forestthemedir)" \
	"$(DESTDIR)$(pixmapdir)" "$(DESTDIR)$(rock_citythemedir)" \
	"$(DESTDIR)$(song1dir)" "$(DESTDIR)$(song2dir)" \
	"$(DESTDIR)$(song3dir)" "$(DESTDIR)$(song4dir)" \
	"$(DESTDIR)$(song5dir)" \
	"$(DESTDIR)$(virtualinstrumentdrumkitdir)" \
	"$(DESTDIR)$(virtualinstrumentflutedir)" \
	"$(DESTDIR)$(virtualinstrumentsdir)" \
	"$(DESTDIR)$(virtualinstrumentuddir)"
ambient_citythemeDATA_INSTALL = $(INSTALL_DATA)
baseDATA_INSTALL = $(INSTALL_DATA)
buttonsDATA_INSTALL = $(INSTALL_DATA)
castlethemeDATA_INSTALL = $(INSTALL_DATA)
citythemeDATA_INSTALL = $(INSTALL_DATA)
desktopDATA_INSTALL = $(INSTALL_DATA)
forestthemeDATA_INSTALL = $(INSTALL_DATA)
pixmapDATA_INSTALL = $(INSTALL_DATA)
rock_citythemeDATA_INSTALL = $(INSTALL_DATA)
song1DATA_INSTALL = $(INSTALL_DATA)
song2DATA_INSTALL = $(INSTALL_DATA)
song3DATA_INSTALL = $(INSTALL_DATA)
song4DATA_INSTALL = $(INSTALL_DATA)
song5DATA_INSTALL = $(INSTALL_DATA)
virtualinstrumentdrumkitDATA_INSTALL = $(INSTALL_DATA)
virtualinstrumentfluteDATA_INSTALL = $(INSTALL_DATA)
virtualinstrumentsDATA_INSTALL = $(INSTALL_DATA)
virtualinstrumentudDATA_INSTALL = $(INSTALL_DATA)
DATA = $(ambient_citytheme_DATA) $(base_DATA) $(buttons_DATA) \
	$(castletheme_DATA) $(citytheme_DATA) $(desktop_DATA) \
	$(foresttheme_DATA) $(pixmap_DATA) $(rock_citytheme_DATA) \
	$(song1_DATA) $(song2_DATA) $(song3_DATA) $(song4_DATA) \
	$(song5_DATA) $(virtualinstrumentdrumkit_DATA) \
	$(virtualinstrumentflute_DATA) $(virtualinstruments_DATA) \
	$(virtualinstrumentud_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rantalai/jammo/trunk/jammo-data-0.1.4/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/rantalai/jammo/trunk/jammo-data-0.1.4/missing --run tar
AUTOCONF = ${SHELL} /home/rantalai/jammo/trunk/jammo-data-0.1.4/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/jammo/trunk/jammo-data-0.1.4/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/jammo/trunk/jammo-data-0.1.4/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -O3 -Wall 
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"jammo\" -DVERSION=\"0.1\"
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/rantalai/jammo/trunk/jammo-data-0.1.4/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = jammo
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.1
abs_builddir = /home/rantalai/jammo/trunk/jammo-data-0.1.4/data
abs_srcdir = /home/rantalai/jammo/trunk/jammo-data-0.1.4/data
abs_top_builddir = /home/rantalai/jammo/trunk/jammo-data-0.1.4
abs_top_srcdir = /home/rantalai/jammo/trunk/jammo-data-0.1.4
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/rantalai/jammo/trunk/jammo-data-0.1.4/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
desktopdir = $(datadir)/applications/hildon
desktop_DATA = jammo.desktop
pixmapdir = $(datadir)/pixmaps
pixmap_DATA = jammo.png
basedir = /opt/jammo/
base_DATA = *.wav *.png config.json behaviours.json
buttonsdir = /opt/jammo/buttons
buttons_DATA = buttons/*.png
virtualinstrumentsdir = /opt/jammo/virtual-instruments
virtualinstruments_DATA = virtual-instruments/*
virtualinstrumentflutedir = /opt/jammo/virtual-instruments/flute
virtualinstrumentflute_DATA = virtual-instruments/flute/*
virtualinstrumentdrumkitdir = /opt/jammo/virtual-instruments/drumkit
virtualinstrumentdrumkit_DATA = virtual-instruments/drumkit/*
virtualinstrumentuddir = /opt/jammo/virtual-instruments/ud
virtualinstrumentud_DATA = virtual-instruments/ud/*

##################
#####THEMES#######
##################
forestthemedir = /opt/jammo/themes/forest
foresttheme_DATA = themes/forest/*.png themes/forest/*.wav themes/forest/objects.json 

#No more themes for N810 yet
rock_citythemedir = /opt/jammo/themes/rock_city

#take this theme on n810 version, but use shorter backing_track (because it is huge wav)
# and use mono wavs instead of stereo
#rock_citythemedir = /opt/jammo/themes/rock_city
rock_citytheme_DATA = themes/rock_city/*.png themes/rock_city/*.wav themes/rock_city/objects.json
#rock_citytheme_DATA = themes/rock_city/*.png themes/rock_city/n810/backing_track.wav themes/rock_city/n810/urban_130_G_clapyeah_loop.wav themes/rock_city/n810/urban_130_G_drfill_loop.wav themes/rock_city/n810/urban_130_G_gtr_loop_01.wav themes/rock_city/n810/urban_130_G_gtr_loop_02.wav themes/rock_city/n810/urban_130_G_gtr_loop_03.wav themes/rock_city/n810/urban_130_G_organ_loop.wav themes/rock_city/objects.json
castlethemedir = /opt/jammo/themes/castle
castletheme_DATA = themes/castle/*.png themes/castle/*.wav themes/castle/objects.json
citythemedir = /opt/jammo/themes/city
citytheme_DATA = themes/city/*.png themes/city/*.wav themes/city/objects.json
ambient_citythemedir = /opt/jammo/themes/ambient_city
ambient_citytheme_DATA = themes/ambient_city/*.png themes/ambient_city/*.wav themes/ambient_city/objects.json
song_name = comping.ogg

#####################
#Songs###############
#####################
#song_name = 8khz/comping.ogg
song1dir = /opt/jammo/songs/aurinko
song1_DATA = songs/aurinko/picture.png songs/aurinko/$(song_name)
song2dir = /opt/jammo/songs/hamahakki
song2_DATA = songs/hamahakki/picture.png songs/hamahakki/$(song_name)
song3dir = /opt/jammo/songs/lehdet_lentaa
song3_DATA = songs/lehdet_lentaa/picture.png songs/lehdet_lentaa/$(song_name)
song4dir = /opt/jammo/songs/mollamaija_loikki
song4_DATA = songs/mollamaija_loikki/picture.png songs/mollamaija_loikki/$(song_name)
song5dir = /opt/jammo/songs/pienen_pieni_veturi
song5_DATA = songs/pienen_pieni_veturi/picture.png songs/pienen_pieni_veturi/$(song_name)

#########################################
EXTRA_DIST = $(bg_DATA) $(img_DATA)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  data/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  data/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-ambient_citythemeDATA: $(ambient_citytheme_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(ambient_citythemedir)" || $(MKDIR_P) "$(DESTDIR)$(ambient_citythemedir)"
	@list='$(ambient_citytheme_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(ambient_citythemeDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(ambient_citythemedir)/$$f'"; \
	  $(ambient_citythemeDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(ambient_citythemedir)/$$f"; \
	done

uninstall-ambient_citythemeDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(ambient_citytheme_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(ambient_citythemedir)/$$f'"; \
	  rm -f "$(DESTDIR)$(ambient_citythemedir)/$$f"; \
	done
install-baseDATA: $(base_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(basedir)" || $(MKDIR_P) "$(DESTDIR)$(basedir)"
	@list='$(base_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(baseDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(basedir)/$$f'"; \
	  $(baseDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(basedir)/$$f"; \
	done

uninstall-baseDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(base_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(basedir)/$$f'"; \
	  rm -f "$(DESTDIR)$(basedir)/$$f"; \
	done
install-buttonsDATA: $(buttons_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(buttonsdir)" || $(MKDIR_P) "$(DESTDIR)$(buttonsdir)"
	@list='$(buttons_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(buttonsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(buttonsdir)/$$f'"; \
	  $(buttonsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(buttonsdir)/$$f"; \
	done

uninstall-buttonsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(buttons_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(buttonsdir)/$$f'"; \

=== debian/changelog ===
jammo-data (0.1.4) unstable; urgency=low

  *  clutter0.8->clutter1.0

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 19 Oct 2009 17:07:08 +0300

## jammo-data 0.1.5

=== debian/changelog ===
jammo-data (0.1.5) unstable; urgency=low

  *  add: transparency borders to song-imgaes

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 17 Nov 2009 17:07:08 +0300

## jammo-data 0.1.6

=== debian/changelog ===
jammo-data (0.1.6) unstable; urgency=low

  *  disable behaviours (not working yet)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 10 Dec 2009 17:07:08 +0300

## jammo-data 0.1.7

=== debian/changelog ===
jammo-data (0.1.7) unstable; urgency=low

  *  Added: set of new graphics

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 31 Jan 2010 18:07:08 +0300

## jammo-data 0.1.8

=== debian/changelog ===
jammo-data (0.1.8) unstable; urgency=low

  *  Added: sequencer + big_city-theme

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 04 Feb 2010 23:32:08 +0300

## jammo-data 0.1.9

=== data/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# data/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/jammo
pkgincludedir = $(includedir)/jammo
pkglibdir = $(libdir)/jammo
pkglibexecdir = $(libexecdir)/jammo
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = data
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(ambient_citythemedir)" \
	"$(DESTDIR)$(basedir)" "$(DESTDIR)$(big_citythemedir)" \
	"$(DESTDIR)$(buttonsdir)" "$(DESTDIR)$(castlethemedir)" \
	"$(DESTDIR)$(citythemedir)" "$(DESTDIR)$(desktopdir)" \
	"$(DESTDIR)$(forestthemedir)" "$(DESTDIR)$(passwordimagedir)" \
	"$(DESTDIR)$(pixmapdir)" "$(DESTDIR)$(rock_citythemedir)" \
	"$(DESTDIR)$(sequencerdir)" "$(DESTDIR)$(song1dir)" \
	"$(DESTDIR)$(song2dir)" "$(DESTDIR)$(song3dir)" \
	"$(DESTDIR)$(virtualinstrumentdrumkitdir)" \
	"$(DESTDIR)$(virtualinstrumentflutedir)" \
	"$(DESTDIR)$(virtualinstrumentsdir)" \
	"$(DESTDIR)$(virtualinstrumentuddir)"
DATA = $(ambient_citytheme_DATA) $(base_DATA) $(big_citytheme_DATA) \
	$(buttons_DATA) $(castletheme_DATA) $(citytheme_DATA) \
	$(desktop_DATA) $(foresttheme_DATA) $(passwordimage_DATA) \
	$(pixmap_DATA) $(rock_citytheme_DATA) $(sequencer_DATA) \
	$(song1_DATA) $(song2_DATA) $(song3_DATA) \
	$(virtualinstrumentdrumkit_DATA) \
	$(virtualinstrumentflute_DATA) $(virtualinstruments_DATA) \
	$(virtualinstrumentud_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rantalai/jammo/gitti_bin/11.2.2010/jammo-data-0.1.9/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/rantalai/jammo/gitti_bin/11.2.2010/jammo-data-0.1.9/missing --run tar
AUTOCONF = ${SHELL} /home/rantalai/jammo/gitti_bin/11.2.2010/jammo-data-0.1.9/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/jammo/gitti_bin/11.2.2010/jammo-data-0.1.9/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/jammo/gitti_bin/11.2.2010/jammo-data-0.1.9/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -O3 -Wall 
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"jammo\" -DVERSION=\"0.1\"
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/rantalai/jammo/gitti_bin/11.2.2010/jammo-data-0.1.9/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = jammo
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.1
abs_builddir = /home/rantalai/jammo/gitti_bin/11.2.2010/jammo-data-0.1.9/data
abs_srcdir = /home/rantalai/jammo/gitti_bin/11.2.2010/jammo-data-0.1.9/data
abs_top_builddir = /home/rantalai/jammo/gitti_bin/11.2.2010/jammo-data-0.1.9
abs_top_srcdir = /home/rantalai/jammo/gitti_bin/11.2.2010/jammo-data-0.1.9
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/rantalai/jammo/gitti_bin/11.2.2010/jammo-data-0.1.9/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
desktopdir = $(datadir)/applications/hildon
desktop_DATA = jammo.desktop
pixmapdir = $(datadir)/pixmaps
pixmap_DATA = jammo.png
basedir = /opt/jammo/
base_DATA = *.wav *.png config.json behaviours.json
buttonsdir = /opt/jammo/buttons
buttons_DATA = buttons/*.png
passwordimagedir = /opt/jammo/password
passwordimage_DATA = password/*.png
virtualinstrumentsdir = /opt/jammo/virtual-instruments
virtualinstruments_DATA = virtual-instruments/*.txt
virtualinstrumentflutedir = /opt/jammo/virtual-instruments/flute
virtualinstrumentflute_DATA = virtual-instruments/flute/*
virtualinstrumentdrumkitdir = /opt/jammo/virtual-instruments/drumkit
virtualinstrumentdrumkit_DATA = virtual-instruments/drumkit/*
virtualinstrumentuddir = /opt/jammo/virtual-instruments/ud
virtualinstrumentud_DATA = virtual-instruments/ud/*
sequencerdir = /opt/jammo/sequencer
sequencer_DATA = sequencer/*

##################
#####THEMES#######
##################
forestthemedir = /opt/jammo/themes/forest
foresttheme_DATA = themes/forest/*.png themes/forest/*.wav themes/forest/objects.json 

#No more themes for N810 yet
rock_citythemedir = /opt/jammo/themes/rock_city

#take this theme on n810 version, but use shorter backing_track (because it is huge wav)
# and use mono wavs instead of stereo
#rock_citythemedir = /opt/jammo/themes/rock_city
rock_citytheme_DATA = themes/rock_city/*.png themes/rock_city/*.wav themes/rock_city/objects.json
#rock_citytheme_DATA = themes/rock_city/*.png themes/rock_city/n810/backing_track.wav themes/rock_city/n810/urban_130_G_clapyeah_loop.wav themes/rock_city/n810/urban_130_G_drfill_loop.wav themes/rock_city/n810/urban_130_G_gtr_loop_01.wav themes/rock_city/n810/urban_130_G_gtr_loop_02.wav themes/rock_city/n810/urban_130_G_gtr_loop_03.wav themes/rock_city/n810/urban_130_G_organ_loop.wav themes/rock_city/objects.json
castlethemedir = /opt/jammo/themes/castle
castletheme_DATA = themes/castle/*.png themes/castle/*.wav themes/castle/objects.json
citythemedir = /opt/jammo/themes/city
citytheme_DATA = themes/city/*.png themes/city/*.wav themes/city/objects.json
ambient_citythemedir = /opt/jammo/themes/ambient_city
ambient_citytheme_DATA = themes/ambient_city/*.png themes/ambient_city/*.wav themes/ambient_city/objects.json
big_citythemedir = /opt/jammo/themes/big_city
big_citytheme_DATA = themes/big_city/*.png themes/big_city/*.wav themes/big_city/objects.json

#####################
#Songs###############
#####################
song1dir = /opt/jammo/songs/avignon
song1_DATA = songs/avignon/*
song2dir = /opt/jammo/songs/miska
song2_DATA = songs/miska/*
song3dir = /opt/jammo/songs/kevatsaa
song3_DATA = songs/kevatsaa/*

#########################################
EXTRA_DIST = $(bg_DATA) $(img_DATA)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu data/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu data/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-ambient_citythemeDATA: $(ambient_citytheme_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(ambient_citythemedir)" || $(MKDIR_P) "$(DESTDIR)$(ambient_citythemedir)"
	@list='$(ambient_citytheme_DATA)'; test -n "$(ambient_citythemedir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(ambient_citythemedir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(ambient_citythemedir)" || exit $$?; \
	done

uninstall-ambient_citythemeDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(ambient_citytheme_DATA)'; test -n "$(ambient_citythemedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(ambient_citythemedir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(ambient_citythemedir)" && rm -f $$files
install-baseDATA: $(base_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(basedir)" || $(MKDIR_P) "$(DESTDIR)$(basedir)"
	@list='$(base_DATA)'; test -n "$(basedir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(basedir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(basedir)" || exit $$?; \
	done

uninstall-baseDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(base_DATA)'; test -n "$(basedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(basedir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(basedir)" && rm -f $$files
install-big_citythemeDATA: $(big_citytheme_DATA)
	@$(NORMAL_INSTALL)

=== debian/changelog ===
jammo-data (0.1.9) unstable; urgency=low

  *  Removed: n810 stuff. 
  *  Changed: packed composing game backing tracks 

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 15 Feb 2010 22:32:08 +0300

## jammo-data 0.1.10

=== debian/changelog ===
jammo-data (0.1.10) unstable; urgency=low

  *  Fixed: desktopfile fixed

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 16 Feb 2010 15:04:08 +0300

## jammo-data 0.1.11

=== debian/changelog ===
jammo-data (0.1.11) unstable; urgency=low

  *  Add: Lots of new songs.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Feb 2010 02:04:08 +0300

## jammo-data 0.1.12

=== debian/changelog ===
jammo-data (0.1.12) unstable; urgency=low

  *  Removed: couple of songs.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Feb 2010 14:04:08 +0300

=== debian/control ===
Source: jammo-data
Section: library
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: jammo-data
Architecture: all
Depends: ${shlibs:Depends}
Description: JamMo is a mobile technological tool for music making for children aged 3-12 years.
 It contains composition game for young children and karaoke-like singing game.
 .
 This package contains data files of jammo. Graphics, songs, sound samples

## jammo-data 0.1.13

=== debian/changelog ===
jammo-data (0.1.13) unstable; urgency=low

  *  Add: Mentor speech

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 23 Feb 2010 22:40:08 +0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: autogen.sh
	./autogen.sh

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#autoreconf -f -i
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/jammo.sgml > jammo.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/jammo.
	$(MAKE) DESTDIR=$(CURDIR)/debian/jammo-data install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## jammo-data 0.1.14

=== debian/changelog ===
jammo-data (0.1.14) unstable; urgency=low

  *  Add: package management
  *  Changed: lots

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 4 Mar 2010 00:10:08 +0300

=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,76 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/jammo.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/jammo-data install
+	#$(MAKE) DESTDIR=$(CURDIR)/debian/jammo-data install
+
+	#jammo-data (general)
+	install -d ${CURDIR}/debian/jammo-data/opt/jammo/buttons
+	install -d ${CURDIR}/debian/jammo-data/usr/share/applications/hildon
+
+	install ${CURDIR}/data/jammo.desktop ${CURDIR}/debian/jammo-data/usr/share/applications/hildon
+	install ${CURDIR}/data/*.wav ${CURDIR}/debian/jammo-data/opt/jammo
+	install ${CURDIR}/data/*.png ${CURDIR}/debian/jammo-data/opt/jammo
+	install ${CURDIR}/data/buttons/*.png ${CURDIR}/debian/jammo-data/opt/jammo/buttons
+
+	# jammo-data-fi
+	install -d ${CURDIR}/debian/jammo-data-fi/opt/jammo/mentor_speech
+
+	install ${CURDIR}/data/mentor_speech/*.ogg ${CURDIR}/debian/jammo-data-fi/opt/jammo/mentor_speech
+
+	# jammo-data-composing
+	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/90
+	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/110
+	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/140
+	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/90
+	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/110
+	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/140
+	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/90
+	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/110
+	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/140
+
+	install ${CURDIR}/data/themes/animal/background.png        ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/
+	install ${CURDIR}/data/themes/animal/90/*     ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/90
+	install ${CURDIR}/data/themes/animal/110/*    ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/110
+	install ${CURDIR}/data/themes/animal/140/*    ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/140
+
+	install ${CURDIR}/data/themes/city/background.png       ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/
+	install ${CURDIR}/data/themes/city/90/*       ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/90
+	install ${CURDIR}/data/themes/city/110/*      ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/110
+	install ${CURDIR}/data/themes/city/140/*      ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/140
+
+	install ${CURDIR}/data/themes/fantasy/background.png       ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/
+	install ${CURDIR}/data/themes/fantasy/90/*    ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/90
+	install ${CURDIR}/data/themes/fantasy/110/*   ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/110
+	install ${CURDIR}/data/themes/fantasy/140/*   ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/140
+
+
+
+	# jammo-data-singing
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/avignon
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/boat
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/donald
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/jacob
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/mary
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/miska
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/pig
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/raining
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/spider
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/spring
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/star
+
+	install ${CURDIR}/data/songs/avignon/*         ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/avignon
+	install ${CURDIR}/data/songs/boat/*            ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/boat
+	install ${CURDIR}/data/songs/donald/*          ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/donald
+	install ${CURDIR}/data/songs/jacob/*           ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/jacob
+	install ${CURDIR}/data/songs/mary/*            ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/mary
+	install ${CURDIR}/data/songs/miska/*           ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/miska
+	install ${CURDIR}/data/songs/pig/*             ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/pig
+	install ${CURDIR}/data/songs/raining/*         ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/raining
+	install ${CURDIR}/data/songs/spider/*          ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/spider
+	install ${CURDIR}/data/songs/spring/*          ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/spring
+	install ${CURDIR}/data/songs/star/*            ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/star
+
+
 
 # Build architecture-independent files here.
 binary-indep: build install

## jammo-data 0.1.15

=== debian/changelog ===
jammo-data (0.1.15) unstable; urgency=low

  *  Add: sounds

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 5 Mar 2010 01:22:08 +0300

## jammo-data 0.1.17

=== debian/changelog ===
jammo-data (0.1.17) unstable; urgency=low

  *  Add: First France songs

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 10 Mar 2010 23:44:08 +0300

jammo-data (0.1.16) unstable; urgency=low

  *  Add: advanced composing game data

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 9 Mar 2010 23:44:08 +0300

=== debian/rules ===
--- 
+++ 
@@ -89,28 +89,33 @@
 	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/90
 	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/110
 	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/140
+	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/advanced
 	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/90
 	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/110
 	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/140
+	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/advanced
 	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/90
 	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/110
 	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/140
+	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/advanced
 
 	install ${CURDIR}/data/themes/animal/background.png        ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/
 	install ${CURDIR}/data/themes/animal/90/*     ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/90
 	install ${CURDIR}/data/themes/animal/110/*    ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/110
 	install ${CURDIR}/data/themes/animal/140/*    ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/140
+	install ${CURDIR}/data/themes/animal/advanced/*    ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/advanced
 
 	install ${CURDIR}/data/themes/city/background.png       ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/
 	install ${CURDIR}/data/themes/city/90/*       ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/90
 	install ${CURDIR}/data/themes/city/110/*      ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/110
 	install ${CURDIR}/data/themes/city/140/*      ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/140
+	install ${CURDIR}/data/themes/city/advanced/*      ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/city/advanced
 
 	install ${CURDIR}/data/themes/fantasy/background.png       ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/
 	install ${CURDIR}/data/themes/fantasy/90/*    ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/90
 	install ${CURDIR}/data/themes/fantasy/110/*   ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/110
 	install ${CURDIR}/data/themes/fantasy/140/*   ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/140
-
+	install ${CURDIR}/data/themes/fantasy/advanced/*   ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/fantasy/advanced
 
 
 	# jammo-data-singing

## jammo-data 0.1.22

=== debian/changelog ===
jammo-data (0.1.22) unstable; urgency=low

  *  Added mentor speachs.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 25 Mar 2010 12:00:08 +0300

jammo-data (0.1.21) unstable; urgency=low

  *  Version number bump.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 25 Mar 2010 01:10:08 +0300

jammo-data (0.1.20) unstable; urgency=low

  *  New versions of couple of songs

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 24 Mar 2010 21:40:08 +0300

jammo-data (0.1.19) unstable; urgency=low

  *  Version number bump.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 16 Mar 2010 20:12:08 +0300

jammo-data (0.1.18) unstable; urgency=low

  *  Add: Couple mentor speech. Removed: jammo.png and jammo.desktop

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 15 Mar 2010 16:12:08 +0300

=== debian/control ===
Source: jammo-data
Section: library
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: jammo-data-fi
Architecture: all
Depends: ${shlibs:Depends}
Description: JamMo is a mobile technological tool for music making for children aged 3-12 years.
 It contains composition game for young children and karaoke-like singing game.
 .
 This package contains finnish speech for mentor.

Package: jammo-data-composing
Architecture: all
Depends: ${shlibs:Depends}
Description: JamMo is a mobile technological tool for music making for children aged 3-12 years.
 It contains composition game for young children and karaoke-like singing game.
 .
 This package contains data files for composing game (3-6 years easy/advanced).

Package: jammo-data-singing
Architecture: all
Depends: ${shlibs:Depends}
Description: JamMo is a mobile technological tool for music making for children aged 3-12 years.
 It contains composition game for young children and karaoke-like singing game.
 .
 This package contains data files for singing game.

Package: jammo-data
Architecture: all
Depends: ${shlibs:Depends}
Description: JamMo is a mobile technological tool for music making for children aged 3-12 years.
 It contains composition game for young children and karaoke-like singing game.
 .
 This package contains data files of jammo. Graphics and sounds.

=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,6 @@
 	install -d ${CURDIR}/debian/jammo-data/opt/jammo/buttons
 	install -d ${CURDIR}/debian/jammo-data/usr/share/applications/hildon
 
-	install ${CURDIR}/data/jammo.desktop ${CURDIR}/debian/jammo-data/usr/share/applications/hildon
 	install ${CURDIR}/data/*.wav ${CURDIR}/debian/jammo-data/opt/jammo
 	install ${CURDIR}/data/*.png ${CURDIR}/debian/jammo-data/opt/jammo
 	install ${CURDIR}/data/buttons/*.png ${CURDIR}/debian/jammo-data/opt/jammo/buttons

## jammo-data 0.1.24

=== debian/changelog ===
jammo-data (0.1.24) unstable; urgency=low

  *  German mentor added.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 28 Jul 2010 21:38:08 +0200

jammo-data (0.1.23) unstable; urgency=low

  *  Dynamic song loading (icons are using JSON)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 17 Jun 2010 14:52:08 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: jammo-data
-Section: library
+Section: libs
 Priority: extra
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Build-Depends: debhelper (>= 5)

=== debian/rules ===
--- 
+++ 
@@ -79,10 +79,16 @@
 	install ${CURDIR}/data/*.png ${CURDIR}/debian/jammo-data/opt/jammo
 	install ${CURDIR}/data/buttons/*.png ${CURDIR}/debian/jammo-data/opt/jammo/buttons
 
+	# use this package also for german and english
 	# jammo-data-fi
-	install -d ${CURDIR}/debian/jammo-data-fi/opt/jammo/mentor_speech
+	install -d ${CURDIR}/debian/jammo-data-fi/opt/jammo/mentor_speech/finnish
+	install ${CURDIR}/data/mentor_speech/finnish/*.ogg ${CURDIR}/debian/jammo-data-fi/opt/jammo/mentor_speech/finnish
 
-	install ${CURDIR}/data/mentor_speech/*.ogg ${CURDIR}/debian/jammo-data-fi/opt/jammo/mentor_speech
+	install -d ${CURDIR}/debian/jammo-data-fi/opt/jammo/mentor_speech/german
+	install ${CURDIR}/data/mentor_speech/german/*.ogg ${CURDIR}/debian/jammo-data-fi/opt/jammo/mentor_speech/german
+
+	#install -d ${CURDIR}/debian/jammo-data-fi/opt/jammo/mentor_speech/english
+	#install ${CURDIR}/data/mentor_speech/english/*.ogg ${CURDIR}/debian/jammo-data-fi/opt/jammo/mentor_speech/english
 
 	# jammo-data-composing
 	install -d ${CURDIR}/debian/jammo-data-composing/opt/jammo/themes/animal/90
@@ -118,29 +124,29 @@
 
 
 	# jammo-data-singing
-	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/avignon
-	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/boat
-	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/donald
-	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/jacob
-	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/mary
-	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/miska
-	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/pig
-	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/raining
-	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/spider
-	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/spring
-	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/star
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/advanced/avignon
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/advanced/miska
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/advanced/pig
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/boat
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/donald
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/jacob
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/mary
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/raining
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/spider
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/spring
+	install -d ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/star
 
-	install ${CURDIR}/data/songs/avignon/*         ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/avignon
-	install ${CURDIR}/data/songs/boat/*            ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/boat
-	install ${CURDIR}/data/songs/donald/*          ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/donald
-	install ${CURDIR}/data/songs/jacob/*           ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/jacob
-	install ${CURDIR}/data/songs/mary/*            ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/mary
-	install ${CURDIR}/data/songs/miska/*           ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/miska
-	install ${CURDIR}/data/songs/pig/*             ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/pig
-	install ${CURDIR}/data/songs/raining/*         ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/raining
-	install ${CURDIR}/data/songs/spider/*          ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/spider
-	install ${CURDIR}/data/songs/spring/*          ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/spring
-	install ${CURDIR}/data/songs/star/*            ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/star
+	install ${CURDIR}/data/songs/advanced/avignon/*     ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/advanced/avignon
+	install ${CURDIR}/data/songs/advanced/miska/*       ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/advanced/miska
+	install ${CURDIR}/data/songs/advanced/pig/*         ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/advanced/pig
+	install ${CURDIR}/data/songs/easy/boat/*            ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/boat
+	install ${CURDIR}/data/songs/easy/donald/*          ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/donald
+	install ${CURDIR}/data/songs/easy/jacob/*           ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/jacob
+	install ${CURDIR}/data/songs/easy/mary/*            ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/mary
+	install ${CURDIR}/data/songs/easy/raining/*         ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/raining
+	install ${CURDIR}/data/songs/easy/spider/*          ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/spider
+	install ${CURDIR}/data/songs/easy/spring/*          ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/spring
+	install ${CURDIR}/data/songs/easy/star/*            ${CURDIR}/debian/jammo-data-singing/opt/jammo/songs/easy/star
 
 
 
@@ -154,30 +160,3 @@
 	dh_testroot
 	dh_installchangelogs ChangeLog
 	dh_installdocs
-	dh_installexamples
-#	dh_install
-#	dh_installmenu
-#	dh_installdebconf
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_python
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
-	dh_installman
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
-#	dh_perl
-#	dh_makeshlibs
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
